function love.load()

	require "player"

	p = player:new()

	p.x = 300
	p.y = 300
	p.w = 24
	p.h = 24
	p.s = 100
	p.dx = 300
	p.dy = 300
	p.selected = false
	
end

function love.mousepressed(x, y, button)

	local mx = x
	local my = y

	if button == "l" then

		if p.selected then

			p.selected = false

		end

		if mx <= p.x + 1/2 * p.w and mx >= p.x - 1/2 * p.w then

			if my <= p.y + 1/2 * p.h and my >= p.y - 1/2 * p.h then

				if not p.selected then

					p.selected = true

				end

			end

		end

	end

	if button == "r" then

		if p.selected then

			p.dx = mx
			p.dy = my

		end

	end

end

function love.update(dt)

	p:update(dt)

end

function love.draw()

	p:draw()

end